KDE 4.7 PyKDE API Reference

- KDE's Python API

# KImageIO Namespace Reference

`from PyKDE4.kio.KImageIO import *`

## Detailed Description

Methods to get information about image format names and the corresponding mime type. Also, you can get information about supported image types without loading all the imageformat plugins.

The image processing backends are written as image handlers compatible with the QImageIOHandler format. The backends are Qt imageformat plugins. Each format can be identified by a unique type id string.

Formats:

Currently supported formats include:

- BMP <read> <write>
- EPS <read> <write>
- EXR <read>
- G3 <read>
- GIF <read>
- ICO <read>
- JP2 <read> <write>
- JPEG <read> <write>
- NETPBM <read> <write>
- PCX <read> <write>
- PNG <read> <write, only with newer libraries>
- TGA <read> <write>
- TIFF <read>
- XBM <read> <write>
- XPM <read> <write>
- XV <read> <write>

## Enumerations
Mode | { Reading, Writing }
## Functions
bool | isSupported (QString mimeType, KImageIO.Mode mode=KImageIO.Writing)
QStringList | mimeTypes (KImageIO.Mode mode=KImageIO.Writing)
QString | pattern (KImageIO.Mode mode=KImageIO.Reading)
QStringList | typeForMime (QString mimeType)
QStringList | types (KImageIO.Mode mode=KImageIO.Writing)

## Enumeration Documentation

Mode

Possible image file access modes.

Used in various KImageIO static function.

Enumerator:

  Reading |
  Writing |

## Function Documentation

bool isSupported | ( | QString | mimeType,
|  | KImageIO.Mode | mode=KImageIO.Writing
| ) |  |  |

Test to see whether a MIME type is supported to reading/writing.

Parameters:

  | _mimeType | the MIME type to check
  | _mode | Tells whether to check for reading or writing capabilities

Returns:
  true if the type is supported

QStringList mimeTypes | ( | KImageIO.Mode | mode=KImageIO.Writing
| ) |  |  |

Returns a list of MIME types for all KImageIO supported formats.

Parameters:

  | mode | Tells whether to retrieve modes that can be read or written.

Returns:
  a list if MIME types of the supported formats

QString pattern | ( | KImageIO.Mode | mode=KImageIO.Reading
| ) |  |  |

Returns a list of patterns of all KImageIO supported formats.

These patterns can be passed to KFileDialog.getOpenFileName() or KFileDialog.getSaveFileName(), for example.

Parameters:

  | mode | Tells whether to retrieve modes that can be read or written.

Returns:
  a space-separated list of file globs that describe the supported formats

QStringList typeForMime | ( | QString | mimeType
| ) |  |  |

Returns the type of a MIME type.

Parameters:

  | mimeType | the MIME type to search

Returns:
  type id(s) of the MIME type or QStringList() if the MIME type is not supported

QStringList types | ( | KImageIO.Mode | mode=KImageIO.Writing
| ) |  |  |

Returns a list of all KImageIO supported formats.

Parameters:

  | mode | Tells whether to retrieve modes that can be read or written.

Returns:
  a list of the type ids